Installation step - Failed to download the aodt_bundle.zip

Hello,
I am sorry I have dummy question. I am just starting to use AODT.
so I run on Dell workstation 7920T with 3 GPUs of Nvidia Quadro RTX8000 on Linux 20.04 desktop
I try to install the Digital twin by following the documentations:
https://docs.nvidia.com/aerial/aerial-dt/text/user_guide.html#installation

I obtain the NGC key from Dashboard | NVIDIA NGC , through “Keys/Secrets” → “Generate API Key”

However, I could not unzip the aodt_bundle.zip

with output from terminal

~$ curl -L "https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_bundle.zip" -H "Authorization: Bearer$TOKEN" -H "Content-Type: application/json" -o $downloadedZip
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   118  100   118    0     0    287      0 --:--:-- --:--:-- --:--:--   287

It seems like the file is very small (118bytes). and when I do unzip:

~$ unzip -o $downloadedZip
Archive:  /home/nvadmin/aodt_bundle.zip
  End-of-central-directory signature not found.  Either this file is not
  a zipfile, or it constitutes one disk of a multi-part archive.  In the
  latter case the central directory and zipfile comment will be found on
  the last disk(s) of this archive.
unzip:  cannot find zipfile directory in one of /home/nvadmin/aodt_bundle.zip or
        /home/nvadmin/aodt_bundle.zip.zip, and cannot find /home/nvadmin/aodt_bundle.zip.ZIP, period.

From here, Did I already miss something .? or is it just simply because it does not work on Ubuntu 20.04 desktop, or any specific reason?

Thank you.

Hi @deny_na
sorry for the problem you are encountering and thanks for reaching out.
The problem seems to be related with format of the command. Please trying adding a space in between “Bearer” and "$TOKEN ", i.e., run the command below
curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionTag/files/aodt_bundle.zip” -H “Authorization: Bearer $TOKEN” -H “Content-Type: application/json” -o $downloadedZip

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.